Edit Cluster

Edit Cluster

Api to edit a cluster for Telco Cloud Automation

Request
URI
PUT
https://{server}/hybridity/api//infra/k8s/clusters/{clusterId}
COPY
Path Parameters
string
clusterId
Required

clusterId


Request Body

null

cluster of type(s) application/json
Required
{
    "id": "string",
    "clusterName": "string",
    "clusterType": "string",
    "vsphereClusterName": "string",
    "managementClusterId": "string",
    "hcxUUID": "string",
    "status": "string",
    "clusterTemplate": {
        "name": "string",
        "version": "string",
        "id": "string"
    },
    "clusterConfig": "clusterConfig.yaml Object",
    "clusterId": "string",
    "clusterUrl": "string",
    "kubeConfig": "string",
    "masterNodes": [
        {
            "cpu": 0,
            "memory": 0,
            "name": "string",
            "networks": [
                {
                    "label": "string",
                    "networkName": "string"
                }
            ],
            "storage": 0,
            "replica": 0,
            "labels": [
                "string"
            ],
            "cloneMode": "string"
        }
    ],
    "workerNodes": [
        {
            "cpu": 0,
            "memory": 0,
            "name": "string",
            "networks": [
                {
                    "label": "string",
                    "networkName": "string"
                }
            ],
            "storage": 0,
            "replica": 0,
            "labels": [
                "string"
            ],
            "cloneMode": "string",
            "config": {
                "cpuManagerPolicy": {
                    "type": "string",
                    "policy": "string",
                    "properties": {
                        "kubeReserved": {
                            "cpu": 0,
                            "memoryInGiB": 0
                        },
                        "systemReserved": {
                            "cpu": 0,
                            "memoryInGiB": 0
                        }
                    }
                }
            }
        }
    ],
    "vimId": "string",
    "error": "string"
}
string
id
Optional

id

string
clusterName
Optional

clusterName

string
clusterType
Optional

clusterType

string
vsphereClusterName
Optional

vsphereClusterName

string
managementClusterId
Optional

managementClusterId

string
hcxUUID
Optional

hcxUUID

string
status
Optional

status

clusterTemplate
Optional

clusterTemplate

clusterConfig
Optional

clusterConfig

string
clusterId
Optional

clusterId

string
clusterUrl
Optional

clusterUrl

string
kubeConfig
Optional

kubeConfig

masterNodes
Optional

masterNodes

workerNodes
Optional

workerNodes

string
vimId
Optional

vimId

string
error
Optional

error

Authentication
This operation uses the following authentication methods.
Responses
200

Successfully updated cluster.

Returns inline_response_200 of type(s) application/json
{
    "id": "string"
}
string
id
Optional

id


400

Bad Request

Returns errorResponse of type(s) application/json
{
    "errors": [
        "error.yaml Object"
    ]
}
array of error.yaml
errors
Optional

errors


500

Internal Server Error

Returns errorResponse of type(s) application/json
{
    "errors": [
        "error.yaml Object"
    ]
}
array of error.yaml
errors
Optional

errors